Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.Epic.CaseOpts

Description

Perform simple optimisations based on case-laws

Synopsis

- caseOpts :: [Fun] -> Compile TCM [Fun]
- caseOptsExpr :: Expr -> Compile TCM Expr

# Documentation

caseOpts :: [Fun] -> Compile TCM [Fun] #

caseOptsExpr :: Expr -> Compile TCM Expr #

Run the case-opts on an expression